get notebook session
curl --request GET \
--url https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}import requests
url = "https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"session": {
"created_at": {
"unix_millis": 123
},
"generation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kernel": {
"engine_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kernel_id": "<string>"
},
"kernel_name": "<string>",
"notebook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"start_paused": true,
"xray": true
},
"query": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
}
},
"status": "Starting"
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Get notebook session
get notebook session. GET /api/v1/notebooks//sessions/. Uses the same payload, validation, revision checks and response as the unified HTTP API.
get notebook session
curl --request GET \
--url https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}import requests
url = "https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/notebooks/{notebook_id}/sessions/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"session": {
"created_at": {
"unix_millis": 123
},
"generation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kernel": {
"engine_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kernel_id": "<string>"
},
"kernel_name": "<string>",
"notebook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"start_paused": true,
"xray": true
},
"query": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
}
},
"status": "Starting"
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026